Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security
Class CertificatePoliciesExtension

    java.lang.Object
      weblogic.security.CertificatePoliciesExtension

    public class CertificatePoliciesExtension

extends Object

The CertificatePoliciesExtension is a class which represent the CertificatePolicies Extension which could be present in the Certificates.

Constructor Summary
`CertificatePoliciesExtension(boolean critical, CertificatePolicy[] policies)` Constructs a new CertificatePolicies Extension Object

Method Summary
`static CertificatePoliciesExtension` | `getCertificatePoliciesExtension(X509Certificate cert)` gets the CertificatePoliciesExtension object given a `X509Certificate` object.
`CertificatePolicy[]` | `getPolicies()`
`boolean` | `isCritical()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificatePoliciesExtension

    public CertificatePoliciesExtension(boolean critical,
                                        CertificatePolicy[] policies)

  Constructs a new CertificatePolicies Extension Object

Method Detail

### getCertificatePoliciesExtension

    public static CertificatePoliciesExtension getCertificatePoliciesExtension(X509Certificate cert)
                                                                        throws CertificateParsingException

  gets the CertificatePoliciesExtension object given a `X509Certificate` object.

  Parameters:
    `cert` - X509Certificate to retrieve the extension from.
  Returns:
    `CertificatePoliciesExtension` object
  Throws:
    `CertificateParsingException` - if we could not parse the certificate extension.

### isCritical

    public boolean isCritical()

### getPolicies

    public CertificatePolicy[] getPolicies()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD